The PTF is no longer needed, as the fixes have been publically released in kernel 3.0.101-0.40.1.

FYI, the fix described above is for NFS4 and the problem was introduced in 3.0.101-0.35 However, ALSO introduced in -0.35 was another NFS bug that can effect any NFS mount, regardless of version, and it is fixed in the PTF and kernel 0.40.1 as well. So... regardless of the NFS version you use, if your system is an NFS client, you don't want to be on the "stock" kernel 3.0.101-0.35.